SystemOrganization addCategory: #SqSaveUsageExamples!

Object subclass: #StSqueakSaveDatabase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqSaveUsageExamples'!

!StSqueakSaveDatabase commentStamp: 'tkow 9/24/2008 16:51' prior: 0!
A StSqueakSaveDatabase is another database variation for the SWA Seaside Tutorial application.

Instance Variables
!

!StSqueakSaveDatabase class methodsFor: 'as yet unclassified' stamp: 'tkow 4/20/2009 23:39'!
connectionSpecification
	^ SqsMySQLConnectionSpecification user: 'test' password: 'test' database: 'todo_app'! !

!StSqueakSaveDatabase methodsFor: 'public' stamp: 'tkow 11/11/2008 13:42'!
addTask: aTask toUser: aUser
	aUser addTask: aTask.
	aTask save.
	aUser save.
	^aTask! !

!StSqueakSaveDatabase methodsFor: 'public' stamp: 'tkow 9/24/2008 15:00'!
addUser: aUser
	aUser save.
	^aUser! !

!StSqueakSaveDatabase methodsFor: 'accessing' stamp: 'tkow 9/24/2008 14:06'!
connectionFailed
	^ false! !

!StSqueakSaveDatabase methodsFor: 'connection' stamp: 'tkow 9/24/2008 16:05'!
disconnect
	^true! !

!StSqueakSaveDatabase methodsFor: 'public' stamp: 'tkow 12/12/2008 17:45'!
findUserByEmail: anEmail 
	^ (SqsSearch for: StUser) 
		findBy: #email
		withValues: anEmail! !

!StSqueakSaveDatabase methodsFor: 'initialization' stamp: 'tkow 2/23/2009 16:55'!
initialize
	| conSpec |
	super initialize.
	conSpec := SqsConnectionSpecification 
		user: 'thomas'
		password: 'test'
		database: 'ToDoApp'.
	SqsConnectionManager getInstance 
		setConfiguration: (SqsConfiguration conSpec: conSpec)
		for: 'STTutTodoApp'! !

!StSqueakSaveDatabase methodsFor: 'public' stamp: 'tkow 9/24/2008 13:58'!
save: anObject
	anObject save! !

SqsConfig subclass: #StTodoAppSqsConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqSaveUsageExamples'!
